Next: , Previous: Bison Bridge, Up: Appendices

A.3 M4 Dependency

The macro processor m41 must be installed wherever flex is installed. flex invokes ‘m4’, found by searching the directories in the PATH environment variable. Any code you place in section 1 or in the actions will be sent through m4. Please follow these rules to protect your code from unwanted m4 processing.

m4 is only required at the time you run flex. The generated scanner is ordinary C or C++, and does not require m4.


[1] The use of m4 is subject to change in future revisions of flex. It is not part of the public API of flex. Do not depend on it.